# StableIdData class

Implemented types
  - StanzaHandlerExtension

## Constructors

StableIdData (String? originId, List <StanzaId>? stanzaIds)
  const

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
originId → String?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
stanzaIds → List <StanzaId>?
  Stanza ids
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toOriginIdElement () → XMLNode
toString () → String
  A string representation of this object.
  inherited
toXML () → List <XMLNode>

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited